using LearningMaterialSystem.Models;
using Microsoft.EntityFrameworkCore;

namespace LearningMaterialSystem.Data;

public class ApplicationDbContext : DbContext
{
    public ApplicationDbContext(DbContextOptions<ApplicationDbContext> options) : base(options)
    {
    }

    public DbSet<MonHoc> MonHocs => Set<MonHoc>();
    public DbSet<HocLieu> HocLieus => Set<HocLieu>();
    public DbSet<PhienBanHocLieu> PhienBanHocLieus => Set<PhienBanHocLieu>();
    public DbSet<NguoiDung> NguoiDungs => Set<NguoiDung>();
    public DbSet<QuyenTruyCap> QuyenTruyCaps => Set<QuyenTruyCap>();
    public DbSet<NhatKyTruyCap> NhatKyTruyCaps => Set<NhatKyTruyCap>();

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        base.OnModelCreating(modelBuilder);
    }
}

